Order a quote. Use your quoteId and contacts to create a Zayo order.
Request
Request Body schema: application/json
Order request body. Prequisites include having a quoteId or quoteName from the quotes/quote route as well as billingAccountId, primaryContactId, and contractSignerId from the /orders/contacts/{quoteId} route.
quoteId
required
string
Unique quote identifier returned by quotes/quote route.
term
required
integer
Term of the order, pricing per term is provided from the /quotes/quote route. Options include - 12, 24, 36, 48, 60.
billingAccountId
required
string
Unique identifier to designate the billing account to be billed for the Order. This value is returned in the /orders/contacts/{quoteId}.
primaryContactId
required
string
Unique identifier to designate the contact responsible for general support for the Order. This value is returned in the /orders/contacts/{quoteId}.
contractSignerId
required
string
Unique identifier to designate the contact responsible for signing the contract for the Order. This value is returned in the /orders/contacts/{quoteId}.
notes
string
Any additional notes you'd like to specify on the Order.
poNumber
string
Optional field to store purchase order number.
msaRead
boolean
Represents the user has read the related Master Service Agreement related to the Order. At this time we do not support sending these documents via API and must be coordinated with your account representative. This field must be set to True in order to submit an order for auto-provisioning.
serviceScheduleRead
boolean
Represents the user has read the related Service Schedule related to the Order. At this time we do not support sending these documents via API and must be coordinated with your account representative. This field must be set to True in order to submit an order for auto-provisioning.
digitalSignature
boolean
Represents a digital version of the user’s signature agreeing to the terms and conditions presented in the related MSA and Service Schedule. This field must be set to True in order to submit an order for auto-provisioning.
Array of objects
Responses
200
Success
post/services/order-management/v2/orders/order
Request samples
Payload
curl
JavaScript
Node.js
application/json
{
"quoteId": "string",
"term": 12,
"billingAccountId": null,
"primaryContactId": null,
"contractSignerId": null,
"notes": "These are some notes",
"poNumber": "Zayo-12345",
"msaRead": true,
"serviceScheduleRead": true,
"digitalSignature": true,
"provisioningDetails": [
{
"cloudProvider": "Amazon AWS",
"accountId": "529554258215",
"sTagVlanId": "101",
"cTagVlanId": "232"
}
]
}
Response samples
200
application/json
"TBD on JSON payload of order response. This returns a jobId."